#! /bin/sh
#********************************************
#*                                          * 
#*   LICENSED MATERIALS - PROPERTY OF IBM   *   
#*   "RESTRICTED MATERIALS OF IBM"          *           
#*   5724-M00                               *                
#*   (C) COPYRIGHT IBM CORP. 2005           *     
#*                                          *          
#********************************************
#
# Usage: db2_create_automgr_db.sh <db_name> <instance_owner> <instance_pwd>
#
# Parameters:
#  <db_name>        - The database is created with this name.
#  <instance_owner> - The instance owner used to work with DB2.
#  <instance_pwd>   - The password for instance owner.
#
# Description of exit codes:
# 0 - Script completed successfully
# 1 - Failed to execute db2start
# 2 - Failed to create the database
# 3 - Failed to connect to the database
# 4 - Failed to execute SQL Statements
#

DB_NAME=$1
INSTANCE_OWNER=$2
INSTANCE_PWD=$3

CONFIG_SCRIPT="db2_create_automgr_db_inst.sh"
FILE_PATH=`pwd`
DROP_SQL="DropTable.sql"
CREATE_SQL="Table.sql"

su - $INSTANCE_OWNER -c "$FILE_PATH/$CONFIG_SCRIPT $DB_NAME $INSTANCE_OWNER $INSTANCE_PWD $FILE_PATH/../DB2/$DROP_SQL $FILE_PATH/../DB2/$CREATE_SQL"

exit $?
